PHPExcel_Style_Fill

category | PHPExcel
package | PHPExcel_Style
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

Inherited

inherited_from | \PHPExcel_Style_Supervisor::__clone()

## Create a new PHPExcel_Style_Fill

    __construct(boolean $isSupervisor, boolean $isConditional)

### Parameters

#### $isSupervisor

`boolean`

Flag indicating if this is a supervisor or not Leave this value at default unless you understand exactly what its ramifications are

#### $isConditional

`boolean`

Flag indicating if this is a conditional style or not Leave this value at default unless you understand exactly what its ramifications are

## Apply styles from array

    applyFromArray(array $pStyles) : \PHPExcel_Style_Fill

    $objPHPExcel->getActiveSheet()->getStyle('B2')->getFill()->applyFromArray(
        array(
            'type'     => PHPExcel_Style_Fill::FILL_GRADIENT_LINEAR,
            'rotation'   => 0,
            'startcolor' => array(
                'rgb' => '000000'
            ),
            'endcolor'   => array(
                'argb' => 'FFFFFFFF'
            )
        )
    );

### Parameters

#### $pStyles

`array`

Array containing style information

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Style_Fill`

## Bind parent.

    bindParent(\PHPExcel $parent, $parentPropertyName) : \PHPExcel_Style_Supervisor

Inherited

Only used for supervisor

inherited_from | \PHPExcel_Style_Supervisor::bindParent()

### Parameters

#### $parent

`\PHPExcel`

#### $parentPropertyName

### Returns

`\PHPExcel_Style_Supervisor`

## Get the currently active cell coordinate in currently active sheet.

    getActiveCell() : string

Inherited

Only used for supervisor

inherited_from | \PHPExcel_Style_Supervisor::getActiveCell()

### Returns

`string`E.g. 'A1'

## Get the currently active sheet.

    getActiveSheet() : \PHPExcel_Worksheet

Inherited

Only used for supervisor

inherited_from | \PHPExcel_Style_Supervisor::getActiveSheet()

### Returns

`\PHPExcel_Worksheet`

## Get End Color

    getEndColor() : \PHPExcel_Style_Color

### Returns

`\PHPExcel_Style_Color`

## Get Fill Type

    getFillType() : string

### Returns

`string`

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Is this a supervisor or a cell style component?

    getIsSupervisor() : boolean

Inherited

inherited_from | \PHPExcel_Style_Supervisor::getIsSupervisor()

### Returns

`boolean`

## Get Rotation

    getRotation() : double

### Returns

`double`

## Get the currently active cell coordinate in currently active sheet.

    getSelectedCells() : string

Inherited

Only used for supervisor

inherited_from | \PHPExcel_Style_Supervisor::getSelectedCells()

### Returns

`string`E.g. 'A1'

## Get the shared style component for the currently active cell in currently active sheet.

    getSharedComponent() : \PHPExcel_Style_Fill

Only used for style supervisor

### Returns

`\PHPExcel_Style_Fill`

## Get Start Color

    getStartColor() : \PHPExcel_Style_Color

### Returns

`\PHPExcel_Style_Color`

## Build style array from subcomponents

    getStyleArray(array $array) : array

### Parameters

#### $array

`array`

### Returns

`array`

## Set End Color

    setEndColor(\PHPExcel_Style_Color $pValue) : \PHPExcel_Style_Fill

### Parameters

#### $pValue

`\PHPExcel_Style_Color`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Style_Fill`

## Set Fill Type

    setFillType(string $pValue) : \PHPExcel_Style_Fill

### Parameters

#### $pValue

`string`

PHPExcel_Style_Fill fill type

### Returns

`\PHPExcel_Style_Fill`

## Set Rotation

    setRotation(double $pValue) : \PHPExcel_Style_Fill

### Parameters

#### $pValue

`double`

### Returns

`\PHPExcel_Style_Fill`

## Set Start Color

    setStartColor(\PHPExcel_Style_Color $pValue) : \PHPExcel_Style_Fill

### Parameters

#### $pValue

`\PHPExcel_Style_Color`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Style_Fill`

### Properties

##

    $_endColor : \PHPExcel_Style_Color

##

    $_fillType : string

##

    $_isSupervisor : boolean

Inherited

inherited_from | \PHPExcel_Style_Supervisor::$$_isSupervisor

##

    $_parent : \PHPExcel_Style

Inherited

Only used for supervisor

inherited_from | \PHPExcel_Style_Supervisor::$$_parent

##

    $_rotation : double

##

    $_startColor : \PHPExcel_Style_Color

### Constants

## FILL_GRADIENT_LINEAR

    FILL_GRADIENT_LINEAR

## FILL_GRADIENT_PATH

    FILL_GRADIENT_PATH

## FILL_NONE

    FILL_NONE

## FILL_PATTERN_DARKDOWN

    FILL_PATTERN_DARKDOWN

## FILL_PATTERN_DARKGRAY

    FILL_PATTERN_DARKGRAY

## FILL_PATTERN_DARKGRID

    FILL_PATTERN_DARKGRID

## FILL_PATTERN_DARKHORIZONTAL

    FILL_PATTERN_DARKHORIZONTAL

## FILL_PATTERN_DARKTRELLIS

    FILL_PATTERN_DARKTRELLIS

## FILL_PATTERN_DARKUP

    FILL_PATTERN_DARKUP

## FILL_PATTERN_DARKVERTICAL

    FILL_PATTERN_DARKVERTICAL

## FILL_PATTERN_GRAY0625

    FILL_PATTERN_GRAY0625

## FILL_PATTERN_GRAY125

    FILL_PATTERN_GRAY125

## FILL_PATTERN_LIGHTDOWN

    FILL_PATTERN_LIGHTDOWN

## FILL_PATTERN_LIGHTGRAY

    FILL_PATTERN_LIGHTGRAY

## FILL_PATTERN_LIGHTGRID

    FILL_PATTERN_LIGHTGRID

## FILL_PATTERN_LIGHTHORIZONTAL

    FILL_PATTERN_LIGHTHORIZONTAL

## FILL_PATTERN_LIGHTTRELLIS

    FILL_PATTERN_LIGHTTRELLIS

## FILL_PATTERN_LIGHTUP

    FILL_PATTERN_LIGHTUP

## FILL_PATTERN_LIGHTVERTICAL

    FILL_PATTERN_LIGHTVERTICAL

## FILL_PATTERN_MEDIUMGRAY

    FILL_PATTERN_MEDIUMGRAY

## FILL_SOLID

    FILL_SOLID